> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amazonomics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get keyword mention counts



## OpenAPI

````yaml /api-reference/openapi.json get /v1/trends/mention-count
openapi: 3.0.0
info:
  title: Amazonomics API
  version: 0.0.1
  description: The Amazonomics REST API. All endpoints need an API key.
servers:
  - url: https://api.amazonomics.com
security:
  - bearerAuth: []
paths:
  /v1/trends/mention-count:
    get:
      tags:
        - Trends
      summary: Get keyword mention counts
      parameters:
        - schema:
            type: string
          required: true
          name: period
          in: query
        - schema:
            type: string
            enum:
              - M
              - W
            default: M
          required: false
          name: type
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: true
          name: words
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            type: integer
            minimum: 2
            maximum: 12
          required: false
          name: series_window
          in: query
      responses:
        '200':
          description: Mention count fetched.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    nullable: true
                    items:
                      nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                  periods:
                    type: object
                    nullable: true
                    properties:
                      previous:
                        type: string
                      current:
                        type: string
                    required:
                      - previous
                      - current
                required:
                  - data
                  - error
                  - periods
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    nullable: true
                    items:
                      nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                  periods:
                    type: object
                    nullable: true
                    properties:
                      previous:
                        type: string
                      current:
                        type: string
                    required:
                      - previous
                      - current
                required:
                  - data
                  - error
                  - periods
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    nullable: true
                    items:
                      nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                  periods:
                    type: object
                    nullable: true
                    properties:
                      previous:
                        type: string
                      current:
                        type: string
                    required:
                      - previous
                      - current
                required:
                  - data
                  - error
                  - periods
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````